# -*- coding: utf-8 -*-
module ReportsHelper

  def gradient_intercept(expression)
    m = expression.scan(%r!\A(?:\(?(\-? *[0-9/ ]+?)\)? *\*? *)?x(?: *(?:\+ *)?(-? *[0-9/ ]+?))?\z!).flatten
    Rails.logger.debug m.inspect
    return %w[1 0] if m.all?(&:nil?)
    m.map{|v| v ? v.gsub(/ */, "") : "1" }
  end

  def message(count)
    case count
    when 1    then "一発完答！すごい！"
    when 2, 3 then "快調ですね！"
    else           "よくねばりました。一服してください。"
    end
  end

end
