# == Schema Information
# Schema version: 20100309071953
#
# Table name: active_forms
#
#  affiliation_id       :integer
#  matriculation_number :
#  name                 :
#  email                :
#  admission_date       :date
#  lock_version         :integer
#

class UserEditForm < ActiveForm

  column :affiliation_id, :type => :integer
  column :matriculation_number
  column :name
  column :email
  column :admission_date, :type => :date
  column :lock_version,   :type => :integer

  validates_presence_of :name

  validates_presence_of :email
  validates_email_format_of :email

  validates_presence_of :admission_date

end
