class CreateUsers < ActiveRecord::Migration
  def self.up
    create_table :users do |t|
      t.integer :affiliation_id, :null => true
      t.string :matriculation_number, :null => true, :limit => 100
      t.string :name,  :null => true, :limit => 200
      t.string :email, :null => true, :limit => 200
      t.date :admission_date, :null => true

      t.timestamps
      t.integer :lock_version, :null => false, :default => 0
    end
  end

  def self.down
    drop_table :users
  end
end
