class CreateLearningResults < ActiveRecord::Migration
  def self.up
    create_table :learning_results do |t|
      t.integer :problem_id, :null => false
      t.integer :report_id, :null => false
      t.text :problem_expression
      t.text :answer
      t.text :example_solution
      t.boolean :correct

      t.timestamps
      t.integer :lock_version
    end
  end

  def self.down
    drop_table :learning_results
  end
end
