# language: ja
フィーチャ: 問題グループを管理する
  問題グループを管理するため
  管理者として
  操作を行う

  シナリオ: 問題グループを新規作成する
    前提   言語は"ja"
    かつ   以下のファクトリーを使用する:
           | ordinary_arithmetic_level_1  |
           | decimal_arithmetic_level_1 |
           | fractional_arithmetic_level_1 |
           | expansion_level_1 |
           | factorization_level_1 |
    かつ   "admin"としてログインしている
    かつ   "新規問題グループ"ページを表示している
    もし   以下の項目を入力する:
           | problem_group_label       | ラベル   |
           | problem_group_description | 説明     |
    かつ   "problem_group_problems"から"整数の四則演算 Lv.1"を選択する
    かつ   "Save changes"ボタンをクリックする
    ならば "Problem group was successfully created"と表示されていること

  シナリオ: 問題グループを削除する
    前提   言語は"ja"
    かつ   以下のファクトリーを使用する:
          | problem_group_0 |
          | problem_group_1 |
          | problem_group_2 |
          | problem_group_3 |
          | problem_group_4 |
    かつ   "admin"としてログインしている
    かつ   "問題グループ一覧"ページを表示している
    もし   "3"番目のレコードを削除する
    ならば 以下のテーブルが"table.list tr"に表示されていること:
           | ラベル   | 詳細             |
           | label000 | description 000 |
           | label001 | description 001 |
           | label003 | description 003 |
           | label004 | description 004 |

