# language: ja
フィーチャ: 問題設定を管理する
  問題設定を管理するため
  管理者として
  操作を行う

  シナリオ: 問題設定を新規作成する
    前提   言語は"ja"
    かつ   全てのユニットを使用する
    かつ   "admin"としてログインしている
    かつ   "新規問題設定(ordinary_arithmetic)"ページを表示している
    もし   以下の項目を入力する:
           | problem_level       | 1   |
           | problem_amount      | 2   |
           | problem_term_number | 2   |
           | problem_min         | 0   |
           | problem_max         | 100 |
    かつ   "problem_operators_plus"をチェックする
    かつ   "Create"ボタンをクリックする
    ならば "Problem was successfully created"と表示されていること

  シナリオ: 問題設定を削除する
    前提   言語は"ja"
    かつ   以下のファクトリーを使用する:
           | ordinary_arithmetic_level_1  |
           | decimal_arithmetic_level_1 |
           | fractional_arithmetic_level_1 |
           | expansion_level_1 |
           | factorization_level_1 |
    かつ   "admin"としてログインしている
    かつ   "問題設定一覧"ページを表示している
    もし   "3"番目のレコードを削除する
    ならば 以下のテーブルが"table.list tr"に表示されていること:
           | ユニット       | レベル |
           | 整数の四則演算 | 1 |
           | 小数の四則演算 | 1 |
           | 式の展開       | 1 |
           | 因数分解       | 1 |


