# -*- coding: utf-8 -*-
Factory.define :unit do |u|
  u.name 'unit'
  u.symbol 'unit'
end

[
 ["ordinary_arithmetic"              , "整数の四則演算"],
 ["decimal_arithmetic"               , "小数の四則演算"],
 ["fractional_arithmetic"            , "分数の四則演算"],
 ["expansion"                        , "式の展開"],
 ["factorization"                    , "因数分解"],
 ["complex_number_arithmetic"        , "複素数の計算"],
 ["fractional_expression_arithmetic" , "分数式の計算"],
 ["partial_fraction_expansion"       , "部分分数の展開"],
 ["square_root_arithmetic"           , "根号を含む数の計算"],
 ["linear_function_graph"            , "一次関数のグラフ"],
 ["quadratic_equation"               , "二次方程式"]
].each do |symbol, name|
  Factory.define symbol.to_sym, :parent => :unit do |u|
    u.name name
    u.symbol symbol
  end
end

