# -*- coding: utf-8 -*-
class AdminController < ApplicationController

  rescue_from Acl9::AccessDenied do
    flash[:error] = "権限がありません"
    render :template => "/admin/error", :status => 403, :locals => { :message => "権限エラー" }
  end

  before_filter :authentication_required

  access_control do
    allow :admin, :teacher
    deny anonymous
  end

  def index
  end

end
