# == Schema Information
# Schema version: 20100309071953
#
# Table name: affiliations
#
#  id           :integer       not null, primary key
#  name         :string(255)   not null
#  position     :integer
#  created_at   :datetime
#  updated_at   :datetime
#  lock_version :integer       default(0), not null
#

class Affiliation < ActiveRecord::Base
  acts_as_list

  has_many :users

  validates_presence_of :name
  validates_uniqueness_of :name
end
