
class ReportBase
  include ProblemsHelper

  attr_reader :params, :pdf, :user

  def initialize(params, user, options = {})
    @params = params
    @user = user
    default_options = { :page_size => "A4" }
    @pdf = Prawn::Document.new(options.merge(default_options))
    pdf.font Mint::Server::FONT_PATH
  end

end
