class CreateProblems < ActiveRecord::Migration
  def self.up
    create_table :problems do |t|
      t.integer :unit_id, :null => false
      t.integer :problem_group_problem_id
      t.integer :level, :null => false, :default => 0
      t.integer :amount, :null => false, :default => 1
      t.text :options, :null => false

      t.integer :lock_version, :null => false, :default => 0
      t.timestamps
    end
  end

  def self.down
    drop_table :problems
  end
end
