class CreateProblemGroups < ActiveRecord::Migration
  def self.up
    create_table :problem_groups do |t|
      t.string :label, :null => false
      t.text :description
      t.integer :position
      t.integer :problem_group_problem_id

      t.timestamps
      t.integer :lock_version, :null => false, :default => 0
    end
  end

  def self.down
    drop_table :problem_groups
  end
end
