class CreateReports < ActiveRecord::Migration
  def self.up
    create_table :reports do |t|
      t.integer :user_id, :null => false
      t.integer :problem_group_id, :null => false
      t.boolean :submitted, :null => false, :default => false

      t.timestamps
    end
  end

  def self.down
    drop_table :reports
  end
end
