require 'spec_helper'

describe HomeController do

  describe "GET 'index'" do
    describe "by annonymous user"
    it "should be successful" do
      get 'index'
      response.should be_success
    end
    describe "by login user" do
      before do
        @user = Factory(:user)
        session[:user_id] = @user.id
        get "index"
      end
      it "successful" do
        response.should be_success
      end
    end
  end
end
