require 'spec_helper'

describe SettingsController do

  before do
    @user = Factory(:user)
  end

  describe "GET 'index'" do
    describe "by anonymous user" do
      before do
        get 'index'
      end
      it{ response.should be_redirect }
      it{ response.should redirect_to(root_url) }
    end
    describe "by login user" do
      before do
        login_as(@user)
        get 'index'
      end
      it{ response.should be_success }
    end
  end

end
