Factory.define :problem_group do |m|
  m.label 'label'
  m.description 'description'
  m.problems{|n| [n.association(:ordinary_arithmetic_level_1)] }
end

[
 :ordinary_arithmetic_level_1,
 :decimal_arithmetic_level_1,
 :fractional_arithmetic_level_1,
 :expansion_level_1,
 :factorization_level_1,
].each.with_index do |problem, index|
  Factory.define "problem_group_#{index}", :parent => :problem_group do |m|
    m.label "label%03d" % index
    m.description "description %03d" % index
    m.problems{|n| [n.association(problem)] }
  end
end

