require 'spec_helper'

describe "/admin/problems/index" do
  before(:each) do
    problems = []
    problems.stub!(:total_pages).and_return(1)
    problems.stub!(:paginate).and_return(problems)
    assigns[:problems] = problems
    render 'admin/problems/index'
  end

  it{ response.should have_tag('h1') }
  it{ response.should have_tag('table#problems') }

end
