require 'spec_helper'

describe "/admin/users/index" do
  before(:each) do
    users = []
    3.times do |n|
      user =  Factory.build(:user_list)
      user.should_receive(:id).at_least(1).and_return(n)
      users << user
    end
    users.stub!(:total_pages).and_return(1)
    users.stub!(:paginate).and_return(users)
    assigns[:users] = users
    render 'admin/users/index'
  end

  it{ response.should have_tag("table#users") }
end
